Bug 23543 - Adding withdrawn to the item search
Summary: Adding withdrawn to the item search
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 23575
Blocks: 23565
  Show dependency treegraph
 
Reported: 2019-09-05 15:09 UTC by Kelly McElligott
Modified: 2019-10-17 17:33 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23543: Adding Withdrawn to the Item Search (9.75 KB, patch)
2019-09-06 15:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23543: Adding Withdrawn to the Item Search (9.77 KB, patch)
2019-09-20 15:51 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23543: Adding Withdrawn to the Item Search (9.80 KB, patch)
2019-09-26 01:14 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 23543: Adding Withdrawn to the Item Search (9.89 KB, patch)
2019-10-02 15:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23543: Adding Withdrawn to the Item Search (9.94 KB, patch)
2019-10-03 02:50 UTC, ByWater Sandboxes
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2019-09-05 15:09:43 UTC
Lots of libraries love the item search for its easy flexibility to retrieve results without having to write a report. 

In the item search, you can choose Damaged / Lost, but it would be great to see Withdrawn included to this list!
Comment 1 kraborn 2019-09-05 15:49:03 UTC
I agree; the item search would be even more powerful if you could also choose to ignore withdrawn items. Without this option, identifying withdrawn items can be time consuming and/or cumbersome. Thank you!
Comment 2 Owen Leonard 2019-09-06 15:48:56 UTC Comment hidden (obsolete)
Comment 3 ByWater Sandboxes 2019-09-20 15:51:58 UTC Comment hidden (obsolete)
Comment 4 sandboxes@biblibre.com 2019-09-26 01:14:11 UTC
Patch tested with a sandbox, by David Roberts <david.roberts@ptfs-europe.com>
Comment 5 sandboxes@biblibre.com 2019-09-26 01:14:33 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2019-10-02 15:43:36 UTC Comment hidden (obsolete)
Comment 7 ByWater Sandboxes 2019-10-03 02:50:37 UTC
Created attachment 93506 [details] [review]
Bug 23543: Adding Withdrawn to the Item Search

This patch adds "Withdrawn" status to the item search form and item
search results.

To test you should have one or more items in your catalog which have a
'Withdrawn' status.

Perform an item search and limit to a widthdrawn status. Verify that the
search returns the correct results and that the withdrawn column in
search results shows the correct information.

Test the "Export results to CSV" button. The resulting file should
contain the correct data, including withdrawn status.

Signed-off-by: joe <joe@flo.org>

Signed-off-by: David Roberts <david.roberts@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kelly <kelly@bywatersolutions.com>
Comment 8 Martin Renvoize 2019-10-03 10:02:14 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Liz Rea 2019-10-17 17:32:44 UTC Comment hidden (obsolete)
Comment 10 Liz Rea 2019-10-17 17:33:06 UTC Comment hidden (obsolete)